void disp(TString path, TString _histoName, double YMaxRange=0.0, double XMaxRange=0.0, int _OneDim=0)
{
   // histo Name
   // type |        histo name                 |              info
   // ----------------------------------------------------------------------------
   //TH2D     DriftVelocityVsGasDensity            DriftVelocityVsGasDensity
   //TH2D     fhGainNearVsGasDensity               Gain Near Vs Gas Density
   //TH2D     fhGainFarVsGasDensity                Gain Far Vs Gas Density
   //TH2F     hAmplitudeVsPeakPos                  amplitude vs peak pos.
   //TH2F     hWidthVsPeakPos                      width vs peak pos.
   //TH2F     hOffsetVsPeakPos                     offset vs peak pos.
   //TH2F     hChi2VsPeakPos                       chi^{2} vs peak pos.
   //TH2F     hAreaVsPeakPos                       Area vs peak pos.
   //TH2F     hAmplitudeVsAreaPickup               Amplitude vs area from Pickup.
   //TH2F     hTemp1OverPVsPickupPeakPosition      P/T1 vs pickup position
   //TH2F     hTemp2OverPVsPickupPeakPosition      P/T2 vs pickup position
   //TH2F     hNearAmplitudeVsPickupPeakPosition   Amplitude Near vs peak position Pickup
   //TH2F     hNearAreaVsPickupPeakPosition        Area Near vs peak position Pickup
   //TH2F     hNearAreaVsPickupArea                Area Near vs area Pickup
   //TH2F     hNearPositionVsPickupPeakPosition    Near peak position vs Pickup peak position
   //TH2F     hNearWidthVsPickupPeakPosition       Near peak width vs Pickup peak position
   //TH2F     hNearAmplitudeVsNearArea             Near amplitude vs Near area
   //TH2F     hFarAmplitudeVsPickupPeakPosition    Amplitude Far vs Pickup peak position
   //TH2F     hFarAreaVsPickupPeakPosition         Area Far vs peak position Pickup
   //TH2F     hFarAreaVsPickupArea                 Area Far vs area Pickup
   //TH2F     hFarPositionVsPickupPeakPosition     Far peak position vs Pickup peak position
   //TH2F     hFarWidthVsPickupPeakPosition        Far peak width vs Pickup peak position
   //TH2F     hFarAmplitudeVsFarArea               Far amplitude vs Far area
   //TH2F     hNearOffsetVsFarOffset               Near peak offset vs Far peak offest
   //TH2F     hTemp1OverPVsEField                  P/T1 vs EField
   //TH2F     hTemp2OverPVsEField                  P/T2 vs EField
   //TH2F     hTemp1VsEField                       T1 vs EField
   //TH2F     hTemp2VsEField                       T2 vs EField
   //TH2F     hTemp1VsTemp2                        T1 vs T2
   //TH2F     hTriggerElecVsTriggerSoft            Trigger Bit from Electronic vs Trigger extacted from spectrum
   
   //TH1F     hDriftVelocityResolution             # of counts vs drift velocity
   //TH1F     hErrPeakPosition                     Fit error of Pcikup position
   //TH1F     hNumberOfEventsPerPack               hNumberOfEventsPerPack

   
   gStyle->SetPalette(1);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   
   TFile *f[22];
   
   TH1   *h[22];
  
   TString fileName[] = {"Run_003.root","Run_003.root","Run_004.root","Run_005.root",
			 "Run_006.root","Run_007.root","Run_008.root","Run_009.root",
			 "Run_010.root","Run_011.root","Run_012.root","Run_013.root",
			 "Run_014.root","Run_015.root","Run_016.root","Run_017.root",
			 "Run_018.root","Run_019.root","Run_020.root","Run_021.root",
			 "Run_022.root"};
   
   int NumbersOfFiles = sizeof(fileName)/sizeof(TString);
   
   TCanvas *c = new TCanvas("c", "correlation", 1400, 900);
   c->SetFillColor(0);
   c->Divide(NumbersOfFiles/4,4);
   
   TLatex *info = new TLatex();
   info->SetTextSize(0.04);
   info->SetTextColor(2);
   
   for(int nf=0; nf<NumbersOfFiles; ++nf) {
      f[nf] = new TFile(path+fileName[nf].Data(), "READ"); 
      if(!f[nf]->IsOpen()) {
	 cerr << "File skipping = " << fileName[nf].Data() << endl;
	 continue;
      }
      
      cout << "file name in " << fileName[nf].Data() << " file name get " << f[nf]->GetName() << endl;
      h[nf] = (TH2*)f[nf]->Get(_histoName.Data());

      h[nf]->SetFillColor(0);
      // X
      //h[nf]->SetXTitle("Temp2 (K)");
      if(XMaxRange!=0.0)
	 h[nf]->GetXaxis()->SetRangeUser(0.0, XMaxRange);
      // Y
      // h[nf]->SetYTitle("Temp1 (K)");
      h[nf]->SetTitleOffset(1.2, "Y");
      if(YMaxRange!=0.0)
	 h[nf]->GetYaxis()->SetRangeUser(0.0, YMaxRange);
      
      TPad *pad = c->cd(nf+1);
      pad->SetLogz(1);
      if(_OneDim) {
	 pad->SetLogy(1);
	 h[nf]->Draw();
      } else {
	 h[nf]->Draw("col1z");
      }
      info->DrawLatex(0.0, 0.0, fileName[nf].Data());
   }
}
