TH1D * FixBins(TH1D * _prt, TString what);

void disp(TString path)
{
   gStyle->SetPalette(1);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);

   //TString fName[] = {"Run_017.root","Run_008.root","Run_010.root","Run_013.root","Run_020.root"};

   TString fName[] = {"Run_003.root","Run_011.root"};

   
   TString GasName[] = {"Ar-CO_{2} (70-30) premix",
			"Ar-CO_{2} (70-30)",
			"Ar-CO_{2} (75-25)",
			"Ar-CO_{2} (80-20)",
			"Ar-CO_{2} (85-15)"};
   
   int colorCode[] = {1, 2, 3, 4, 6, 7};
   
   int NumbersOfFiles = sizeof(fName)/sizeof(TString);

   TFile *f[10]   = {'\0'};
   TH1D  *hd[20]  = {'\0'};
 
   TCanvas *c1 = new TCanvas("c1", "drift", 600, 500);
   c1->SetFillColor(0);
   
   TLegend *leg = new TLegend(0.55, 0.70, 0.9, 0.9);
   leg->SetFillColor(0);
   leg->SetBorderSize(1);
   leg->SetTextSize(0.03);

   for(int nf=0; nf<NumbersOfFiles; ++nf) {
      f[nf] = new TFile(path+fName[nf].Data(), "READ");
      if(!f[nf]->IsOpen()) continue;
      
      cout << "file name in " << fName[nf].Data() << " file name get " << f[nf]->GetName() << endl;
      
      hd[nf] = FixBins((TH1D*)f[nf]->Get("hDriftVelocity"), "dv");
      hd[nf]->SetFillColor(0);
      hd[nf]->SetLineColor(colorCode[nf]);
      hd[nf]->SetLineWidth(2);
      // X
      hd[nf]->SetXTitle("Pack number");
      hd[nf]->GetXaxis()->SetRangeUser(0.0, 75.0);
      // Y
      hd[nf]->SetYTitle("v_{drift} (cm/#mus)");
      hd[nf]->SetTitleOffset(1.2, "Y");
      hd[nf]->GetYaxis()->SetRangeUser(1.5, 5.25);

      hd[nf+10] = FixBins((TH1D*)f[nf]->Get("hDriftVelocityCorrected"), "dfCorr");
      hd[nf+10]->SetFillColor(0);
      hd[nf+10]->SetLineColor(colorCode[nf]);
      hd[nf+10]->SetLineWidth(2);
      hd[nf+10]->SetLineStyle(2);
      // X
      hd[nf+10]->SetXTitle("Pack number");
      hd[nf+10]->GetXaxis()->SetRangeUser(0.0, 75.0);
      // Y
      hd[nf+10]->SetYTitle("v_{drift} (cm/#mus)");
      hd[nf+10]->SetTitleOffset(1.2, "Y");
      hd[nf+10]->GetYaxis()->SetRangeUser(1.5, 5.25);

      leg->AddEntry(hd[nf], GasName[nf].Data(), "lp");
      
      // draw
      if(nf==0) {
	 hd[nf]->Draw();
	 hd[nf+10]->Draw("same");
      } else {
	 hd[nf]->Draw("same");
	 hd[nf+10]->Draw("same");
      }
   }
   leg->Draw();


   
   // ---------------------- gain Far --------------------
   TCanvas *cF = new TCanvas("cF", "gain Far", 600, 500);
   cF->SetFillColor(0);
   TLegend *legF = new TLegend(0.55, 0.70, 0.9, 0.9);
   legF->SetFillColor(0);
   legF->SetBorderSize(1);
   legF->SetTextSize(0.03);

   TH1D  *hgF[20] = {'\0'};
   for(int nf=0; nf<NumbersOfFiles; ++nf) {
      
      cout << "Gain Far file name in " << fName[nf].Data() << " file name get " << f[nf]->GetName() << endl;
      
      hgF[nf] = FixBins((TH1D*)f[nf]->Get("hFarGainArea"),"gFar");
      hgF[nf]->SetFillColor(0);
      hgF[nf]->SetLineColor(colorCode[nf]);
      hgF[nf]->SetLineWidth(2);
      // X
      hgF[nf]->SetXTitle("Pack number");
      hgF[nf]->GetXaxis()->SetRangeUser(0.0, 75.0);
      // Y
      hgF[nf]->SetYTitle("gas gain (a.u.)");
      hgF[nf]->SetTitleOffset(1.25, "Y");
      hgF[nf]->GetYaxis()->SetRangeUser(2000.0, 5000.0);

      hgF[nf+10] = FixBins((TH1D*)f[nf]->Get("hFarGainAreaCorrected"), "gFarCorr");
      if(hgF[nf+10]) {
	 hgF[nf+10]->SetFillColor(0);
	 hgF[nf+10]->SetLineColor(colorCode[nf]);
	 hgF[nf+10]->SetLineWidth(2);
	 hgF[nf+10]->SetLineStyle(2);
	 //X
	 hgF[nf+10]->SetXTitle("Pack number");
	 hgF[nf+10]->GetXaxis()->SetRangeUser(0.0, 75.0);
	 //Y
	 hgF[nf+10]->SetYTitle("gas gain (a.u.)");
	 hgF[nf+10]->SetTitleOffset(1.2, "Y");
	 hgF[nf+10]->GetYaxis()->SetRangeUser(2000.0, 5000.0);
      }
      legF->AddEntry(hgF[nf], GasName[nf].Data(), "lp");
      
      // draw
      if(nf==0) {
	 hgF[nf]->Draw();
	 if(hgF[nf+10])
	    hgF[nf+10]->Draw("same");
      } else {
	 hgF[nf]->Draw("same");
	 if(hgF[nf+10])
	    hgF[nf+10]->Draw("same");
      }
   }
   legF->Draw();


   // ------------------ gain Near -----------------------------
   TCanvas *cN = new TCanvas("cN", "gain Near", 600, 500);
   cN->SetFillColor(0);
   TLegend *legN = new TLegend(0.55, 0.70, 0.9, 0.9);
   legN->SetFillColor(0);
   legN->SetBorderSize(1);
   legN->SetTextSize(0.03);
   
   TH1D  *hgN[20] = {'\0'};
   
   for(int nf=0; nf<NumbersOfFiles; ++nf) {
      
      cout << "Gain Near file name in " << fName[nf].Data() << " file name get " << f[nf]->GetName() << endl;
      
      hgN[nf] = FixBins((TH1D*)f[nf]->Get("hNearGainArea"), "gNear");
      hgN[nf]->SetFillColor(0);
      hgN[nf]->SetLineColor(colorCode[nf]);
      hgN[nf]->SetLineWidth(2);
      // X
      hgN[nf]->SetXTitle("Pack number");
      hgN[nf]->GetXaxis()->SetRangeUser(0.0, 75.0);
      // Y
      hgN[nf]->SetYTitle("gas gain (a.u.)");
      hgN[nf]->SetTitleOffset(1.25, "Y");
      hgN[nf]->GetYaxis()->SetRangeUser(2000.0, 5000.0);

      hgN[nf+10] = FixBins((TH1D*)f[nf]->Get("hNearGainAreaCorrected"), "gNearCorr");
      if(hgN[nf+10]) {
	 hgN[nf+10]->SetFillColor(0);
	 hgN[nf+10]->SetLineColor(colorCode[nf]);
	 hgN[nf+10]->SetLineWidth(2);
	 hgN[nf+10]->SetLineStyle(2);
	 //X
	 hgN[nf+10]->SetXTitle("Pack number");
	 hgN[nf+10]->GetXaxis()->SetRangeUser(0.0, 75.0);
	 //Y
	 hgN[nf+10]->SetYTitle("gas gain (a.u.)");
	 hgN[nf+10]->SetTitleOffset(1.2, "Y");
	 hgN[nf+10]->GetYaxis()->SetRangeUser(2000.0, 5000.0);
      }
      legN->AddEntry(hgN[nf], GasName[nf].Data(), "lp");
      
      // draw
      if(nf==0) {
	 hgN[nf]->Draw();
	 if(hgN[nf+10]) 
	    hgN[nf+10]->Draw("same");
      } else {
	 hgN[nf]->Draw("same");
	 if(hgN[nf+10]) 
	    hgN[nf+10]->Draw("same");
      }
   }
   legN->Draw();
}



TH1D * FixBins(TH1D * _prt, TString what)
{
   TString name = _prt->GetName();
   name += what;
   
   TH1D * prtTH1 = _prt->Clone(name.Data());

//    double pBinValue = 0.0;
   
//    for(int bin=1; bin<prtTH1->GetNbinsX(); ++bin) {
//       if(bin==1) {
// 	 pBinValue = prtTH1->GetBinContent(bin);
//       } else {
// 	 if(prtTH1->GetBinContent(bin)==0.0) {
// 	    prtTH1->SetBinContent(bin, pBinValue);
// 	 } else {
// 	    pBinValue = prtTH1->GetBinContent(bin);
// 	 }
//       }
//    }
   return prtTH1;
}
