void disp(TString path)
{
  gStyle->SetPalette(1);
  gStyle->SetOptStat(0);
  gStyle->SetOptTitle(0);

  TFile *f[21];
  TH1D  *hAll[21];
  TH1D  *hMPV[21];
  //  TString fileName[] = {"Run_002.root","Run_003.root","Run_004.root","Run_005.root",
  //                    "Run_006.root","Run_007.root","Run_008.root","Run_009.root",
  //                    "Run_010.root","Run_011.root","Run_012.root","Run_013.root",
  //                    "Run_014.root","Run_015.root","Run_016.root","Run_017.root",
  //                    "Run_018.root","Run_019.root","Run_020.root","Run_021.root",
  //                    "Run_022.root"};

  //TString fileName[] = {"Run_002.root","Run_009.root","Run_014.root","Run_012.root","Run_018.root"};
  TString fileName[] = {"Run_017.root","Run_008.root","Run_010.root","Run_013.root","Run_020.root"};
  
  TString GasName[]  = {"Ar-CO_{2} (70-30) premix", "Ar-CO_{2} (70-30)", "Ar-CO_{2} (75-25)", "Ar-CO_{2} (80-20)", "Ar-CO_{2} (85-15)"};

  int colorCode[] = {1, 2, 3, 4, 6, 7, 8, 2, 3, 4, 5, 6, 7, 8, 2, 3, 4, 5, 6, 7, 8, 9};

  int NumbersOfFiles = sizeof(fileName)/sizeof(TString);

  TCanvas *c = new TCanvas("c", "correlation", 1300, 500);
  c->SetFillColor(0);
  c->Divide(NumbersOfFiles/2,2);


  TLatex *info = new TLatex();
  info->SetTextSize(0.04);


  for(int nf=0; nf<NumbersOfFiles; ++nf) {
     f[nf] = new TFile(path+fileName[nf].Data(), "READ");
     if(!f[nf]->IsOpen()) continue;

     cout << "file name in " << fileName[nf].Data() << " file name get " << f[nf]->GetName() << endl;

     hAll[nf] = (TH1D*)f[nf]->Get("TimeSpectrumAll_11");
     hAll[nf]->SetFillColor(0);
     // X
     hAll[nf]->SetXTitle("Time (50 ns)");
     hAll[nf]->GetXaxis()->SetRangeUser(0, 250);
     // Y
     hAll[nf]->SetYTitle("counts");
     hAll[nf]->SetTitleOffset(1.2, "Y");
     hAll[nf]->GetYaxis()->SetRangeUser(50000, 320000);


     hMPV[nf] = (TH1D*)f[nf]->Get("TimeSpectrum_14");
     hMPV[nf]->SetFillColor(0);
     // X
     hMPV[nf]->SetXTitle("Time (50 ns)");
     hMPV[nf]->GetXaxis()->SetRangeUser(0, 250);
     // Y
     hMPV[nf]->SetYTitle("counts");
     hMPV[nf]->SetTitleOffset(1.2, "Y");
     hMPV[nf]->GetYaxis()->SetRangeUser(0, 350);

     c->cd(nf+1);
     hAll[nf]->DrawCopy();
     info->DrawLatex(300, 100000, fileName[nf].Data());
  }

  TCanvas *c1 = new TCanvas("c1", "spectra", 800, 500);
  c1->SetFillColor(0);

  TLegend *leg = new TLegend(0.52, 0.72, 0.9, 0.9);
  leg->SetFillColor(0);
  leg->SetBorderSize(1);
  leg->SetTextSize(0.03);



  for(int nf=0; nf<NumbersOfFiles; ++nf) {

    hAll[nf]->SetLineColor(colorCode[nf]);
    hMPV[nf]->SetLineColor(colorCode[nf]);
     if(nf>=7)
        hMPV[nf]->SetLineStyle(1);

     if(nf>=14) {
        hMPV[nf]->SetLineStyle(2);
        hMPV[nf]->SetLineWidth(2);
     }

     if(nf==0) {
	//hAll[nf]->DrawCopy();
       hMPV[nf]->DrawCopy();
     } else {
	//hAll[nf]->DrawCopy("same");
       hMPV[nf]->DrawCopy("same");
     }

     leg->AddEntry(hAll[nf],GasName[nf].Data(),"lp");
  }
  leg->Draw();

}

